# Roadmap

## Version 0.1.x
- [X] imx diff
- [X] geojson view
  - [ ] object type in diff geojson
- [ ] object km values.
  - [X] linear referencing 
  - [ ] the RVT way
- [X] pypi release 0.0.1
- [X] referenced objects
- [X] diff dataframe cell formatting
- [X] refined display in diff dataframe
- [X] imx graph
- [ ] Pipeline and PR structure
- [ ] Recognition section a “thank you” section for contributors listing any recognition

### Open Repository to the Public
On this point we are ready to open up the repository to the public and welcome community contributions!

## Version 0.2.0 will include:
- [ ] Non-geometry objects on the map
  - [ ] micro node- and microlinks
  - [ ] ppctrack
  - [ ] stopconnection
  - [ ] workzone
- [ ] Documentation as webpage
- [ ] Switch to Hatch for building and Ruff for formatting
- [ ] Achieve 100% code coverage
- [ ] Create sub-projects for Shapely helpers and Shapely GeoJSON
- [ ] Implement massive refactor

### imx Version Library Version Match
At this juncture, the core library appears to be feature-complete. However, there may be room for scope expansion if proposed plans are sufficiently robust. 

We'll strategically skip certain versions to maintain synchronization with the imx version, providing clarity on supported imx versions.

## Version 11.0.0
- [ ] imx 11.0.0, also known as `Catamaran` implementation

## Version 12.0.0
- [ ] imx 12.0.0, known as `Botter` implementation
